### Virtual Method

# Secret Backend clear

#### Declaration [src]

    void
    clear (
      SecretBackend* self,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`schema`

  Type: `SecretSchema`

  No description available.

  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  No description available.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.